Pricing Updater Throws Error on Startup : "java.lang.NoClassDefFoundError: groovy/lang/GroovyObject"

(Doc ID 2347743.1)

Last updated on FEBRUARY 02, 2018

Applies to:

Oracle Communications BRM - Elastic Charging Engine - Version 11.3.0.0.0 and later
Information in this document applies to any platform.

Goal

On 11.3.0.4.0 version, Pricing Updater;

After upgrading from an older version to 11.3 patch set 4, the pricing updater throws following error on startup :

Pricing Updater log snippet :

 

As verified, environment variables PATH and GROOVY_HOME do have Groovy version 2.4.11 set.

For example :

GROOVY_HOME=/home/pin001/Oracle/groovy-2.4.11
PATH=/home/pin001/opt/portal/7.5/bin:/home/pin001/opt/portal/7.5/lib:/usr/sbin:/usr/lib:/home/pin001/opt/portal/7.5/bin:/home/pin001/opt/portal/7.5/lib:/home/pin001/opt/portal/ThirdParty/perl/5.24.0/lib:/home/pin001/opt/portal/ThirdParty/perl/5.24.0/bin:/u01/app/oracle/product/12.1.0/dbhome_1/bin:/home/pin001/opt/ifw/bin:/usr/java/jdk1.8.0_141/bin:/home/pin001/bin:/home/pin001/opt/portal/7.5/source/apps/sample/:/home/pin001/Oracle/groovy-2.4.11/bin:

But still the error persisted. How to overcome this error ?

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms